package com.prolog.upcloud.base.wh.operate.vo;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.Arrays;
import java.util.StringJoiner;

/**
 * 货主转换源单转换WMS单据参数
 *
 * @author wujunjie
 */
public class CargoChangeParamsVO {
    @NotNull(message = "required")
    @Size(min = 1, message = "required")
    private String[] headerIds;

    public String[] getHeaderIds() {
        return headerIds;
    }

    public void setHeaderIds(String[] headerIds) {
        this.headerIds = headerIds;
    }

    @Override
    public String toString() {
        return new StringJoiner(", ", CargoChangeParamsVO.class.getSimpleName() + "[", "]")
                .add("headerIds=" + Arrays.toString(headerIds))
                .toString();
    }
}
